<?
session_start();
define (__TRACE_ENABLED__, false);
define (__DEBUG_ENABLED__, false);
//$empreact=$_SESSION['empresau'];
include ("bases.php");
include('class.ezpdf.php');
$config=new DB();
$countg = new DB();
global $pdf;

$SUP=1028;
$IZQ=-10;
$ms=60;
$mi=60;
$miz=60;
$mder=60;

if($HTTP_GET_VARS["planilla"])
{
$planilla=$HTTP_GET_VARS["planilla"];
$tabla=$HTTP_GET_VARS["tabla"];
$id_men=$HTTP_GET_VARS["id_men"];
$SQL="select g.id_mensajero, m.nombre as nom_men, g.id_sucursal,s.nombre as nom_suc,p.fecha_planilla
          from $tabla as g
               inner join mensajeros as m on (g.id_mensajero=m.id_mensajero)
               inner join sucursales as s on (g.id_sucursal=s.id_sucursal)
               inner join planillas as p on (g.id_planilla=p.id_planilla)
          where g.id_planilla=".$planilla." and g.id_mensajero=".$id_men."  ";
$bd = new DB();
$bd->query($SQL);
$plan=$bd->getfila($SQL);
$SQL="select count(*) from $tabla where id_planilla='".$planilla."' and id_mensajero=".$id_men." ";
$bd = new DB();
$bd->query($SQL);
$cantguias=$bd->getfila($SQL);
$SQL="SELECT logo FROM info_empresa";
$bd = new DB();
$bd->query($SQL);
$img_logo=$bd->getfila($SQL);
$img_logo="../imagenes/Courier_1.jpg";
	if($cantguias[0]<=0)
	{
	echo '<BR><BR><BR><BR><div class="alertas" align="center">NO HAY ENVIOS PARA LA <BR> PLANILLA No '.$planilla.'</div>';
	}
	else
	{
		$pag=1;
	$SQL_plan="select * from planillas where id_planilla='".$planilla."' and id_mensajero=".$id_men." ";
	$bd_plan = new DB();
	$bd_plan->query($SQL_plan);
	$fecha=$bd_plan->getfila($SQL_plan);
	
	$pdf= new Cezpdf();
	$pdf->ezSetMargins($ms,$mi,$miz,$mder);
	$pdf->selectFont('./Helvetica-Bold.afm');
	$pdf->setStrokeColor(0,0,0);
	$pdf->addJpegFromFile($img_logo,35,780,70,30);
	$pdf->addText(200,790,8,'RELACION REPORTE ENVIOS PLANILLADAS No '.$planilla);
	$pdf->ezStartPageNumbers(552,790,8,'','Pagina: {PAGENUM} de {TOTALPAGENUM}',1);
	/*Cuadro 1*/
		$pdf->rectangle (32,780,78,30);
	/*Cuadro Titulo*/
		$pdf->rectangle (120,780,350,30);
	/*Cuadro Arriba*/
		$pdf->rectangle (480,780,100,30);
    
	             ///////////////////////////////////////////ARRIBA//////////////////////////////
	
	$titulo1='ENTREGADA A:'.$plan[1].' ('.$plan[0].') ';
	$titulo2='FECHA: '.str_replace('00:00:00','',$plan[4]);
	//$titulo2='FECHA: '.date('Y-m-d');
	$titulo3='CIUDAD ORIGEN: '.$plan[3];
	
	$pdf->addtext(30,740,10,$titulo1,360,0);
	$pdf->addtext(30,730,10,$titulo2,360,0);
	$pdf->addtext(30,720,10,$titulo3,360,0);
		
	$titulo4="RELACION DE ENVIOS DEPARTAMENTO OPERACIONES";
	$pdf->addtext(150,700,12,$titulo4,360,0);
	
	$SQL="select c.cod_cliente, c.nombre, o.orden, o.producto, count(guia) from $tabla as g inner join ordenes as o on g.orden=o.orden inner join clientes as c on o.id_cliente=c.id_cliente where g.id_planilla='".$planilla."' and g.id_mensajero='".$id_men."'  group by g.orden";
	$bd->query($SQL);
	$i=0;
	/////////////////////////ARRIBA///////////////////
		while($datos=$bd->getfila())
		{
			$datos['COD']=$datos[0];
			$datos['CLIENTE']=$datos[1];
			$datos['ORDEN']=$datos[2];
			$datos['PRODUCTO']=$datos[3];
			$datos['ENVIOS']=$datos[4];
			$datos['ENTREGAS']='';
			$datos['DEVOLUCIONES']='';
			$mostrar[]=$datos;
			$total_guias=$total_guias+$datos[4];
			$i++;
		}
		$cols = array('COD'=>'COD','CLIENTE'=>'CLIENTE','ORDEN'=>'ORDEN','PRODUCTO'=>'PRODUCTO','ENVIOS'=>'ENVIOS','ENTREGAS'=>'ENTREGAS','DEVOLUCIONES'=>'DEVOLUCIONES' );
		$init=680;
		$pdf->ezSetY($init);
		$pdf->ezTable($mostrar,$cols,'',array('xPos'=>'310','xOrientation'=>'center','fontSize' => '6','titleFontSize'=>'8','showHeadings' => 1,'shaded'=> 1,'shadeCol' => array(0.92,0.92,0.92),'shadeCol2' => array(0.9,0.9,0.9), 'cols'=>array(
	   											'COD'=>array('justification'=>'left','width'=>30),
	  											'CLIENTE'=>array('justification'=>'left','width'=>150), 
												'ORDEN'=>array('justification'=>'left','width'=>40), 
										  		'PRODUCTO'=>array('justification'=>'left','width'=>150), 
										  		'ENVIOS'=>array('justification'=>'left','width'=>40), 
												'ENTREGAS'=>array('justification'=>'left','width'=>50), 
												'DEVOLUCIONES'=>array('justification'=>'left','width'=>70)
	
	)));
	$x=$i*32;
	$x=$x+12;
	$init=670-$x;
	$init2=$init+5;
	$pdf->setStrokeColor(0,0,0);
		$pdf->rectangle (40,$init,530,15); 	$pdf->addtext(500,$init2,8,'Total Envios: '.$total_guias,360,0); //total
		
		$init=$init-30;
		$init2=$init+5;
			
	$SQL_nota="select nota1, nota2, nota3, nota4 from notas";
	$bd_nota = new DB();
	$bd_nota->query($SQL_nota);
	$nota=$bd_nota->getfila($SQL_nota);
	$nota1='NOTAS: '.$nota[0];
	$nota2=$nota[1];
	$nota3=$nota[2];
	$nota4=$nota[3];

    $pdf->addtext(40,$init2,8,$nota1,360,0); //total
	$pdf->addtext(40,$init2,8,$nota2,360,0); //total
	$pdf->addtext(40,$init2,8,$nota3,360,0); //total
	$pdf->addtext(40,$init2,8,$nota4,360,0); //total
	
	$init=$init-60;
	$init2=$init-10;
	$pdf->setStrokeColor(0,0,0);
		
	$pdf->line(100,$init,250,$init); 	$pdf->addtext(150,$init2,8,'SUPERVISOR',360,0);
	$pdf->line(350,$init,500,$init); 	$pdf->addtext(400,$init2,8,'MENSAJERO',360,0);
	
	$init=$init-60;
	$init2=$init-10;
	
	$pdf->addtext(30,$init2,8,'------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------',360,0);
	
	/////////////////////////////////////////////////////////ABAJO/////////////////////////////////////////
	$pdf->setStrokeColor(0,0,0);
	$init=$init-80;
	$init2=$init-10;
	
	$pdf->addJpegFromFile($img_logo,35,$init,70,30);
	$pdf->addText(200,$init+10,8,'RELACION REPORTE ENVIOS PLANILLADAS No '.$plani);
	$pdf->ezStartPageNumbers(552,$init+10,8,'','Pagina: {PAGENUM} de {TOTALPAGENUM}',1);
	/*Cuadro 1*/
		$pdf->rectangle (32,$init,78,30);
	/*Cuadro Titulo*/
		$pdf->rectangle (120,$init,350,30);
	/*Cuadro Arriba*/
		$pdf->rectangle (480,$init,100,30);
	
	$init=$init-40;
	$init2=$init-10;
	
	$pdf->addtext(30,$init,10,$titulo1,360,0);
	$pdf->addtext(30,$init-10,10,$titulo2,360,0);
	$pdf->addtext(30,$init-20,10,$titulo3,360,0);
		
	$titulo4="RELACION DE ENVIOS DEPARTAMENTO OPERACIONES";
	$pdf->addtext(150,$init-40,12,$titulo4,360,0);
	
	$init=$init-70;
	$init2=$init+5;
	
	$pdf->ezSetY($init);
		
		$pdf->ezTable($mostrar,$cols,'',array('xPos'=>'310','xOrientation'=>'center','fontSize' => '6','titleFontSize'=>'8','showHeadings' => 1,'shaded'=> 0, 'cols'=>array(
	   											'COD'=>array('justification'=>'left','width'=>30),
	  											'CLIENTE'=>array('justification'=>'left','width'=>170), 
												'ORDEN'=>array('justification'=>'left','width'=>40), 
										  		'PRODUCTO'=>array('justification'=>'left','width'=>170), 
										  		'ENVIOS'=>array('justification'=>'left','width'=>40), 
												'ENTREGAS'=>array('justification'=>'left','width'=>40), 
												'DEVOLUCIONES'=>array('justification'=>'left','width'=>40)
	
	)));
	$x=$i*25;
	$x=$x+22;
	$init=$init-$x;
	$init2=$init+5;	
	
	$pdf->rectangle (40,$init,530,15); 	$pdf->addtext(500,$init2,8,'TOTAL: '.$total_guias,360,0); //total
		
		$init=$init-30;
		$init2=$init+5;
			
	$pdf->addtext(40,$init2,8,$nota1,360,0); //total
	$pdf->addtext(40,$init2,8,$nota2,360,0); //total
	$pdf->addtext(40,$init2,8,$nota3,360,0); //total
	$pdf->addtext(40,$init2,8,$nota4,360,0); //total
	
	$init=$init-60;
	$init2=$init-10;
		
	$pdf->line(100,$init,250,$init); 	$pdf->addtext(150,$init2,8,'SUPERVISOR',360,0);
	$pdf->line(350,$init,500,$init); 	$pdf->addtext(400,$init2,8,'MENSAJERO',360,0);
	
	$pdf->ezStream();
	}
	
}
else
{
echo '<BR><BR><BR><BR><div class="alertas" align="center"> OPERACION NO VALIDA!!<BR>SALGA DEL APLICATIVO <BR>Y VUELVA A IDENTIFICARSE NUEVAMENTE</div>';
}
?>

